// produce schematic competing risks plot
// Interactions

clear all
set scheme fpsaus_c
global dofile competing_risks_schematic.do


program define box, rclass
	syntax [, text(string) XLOC(real -99) YLOC(real -99) XSize(real .15) YSize(real .10) SIZE(real 2)]
	local l1 (pci `=`yloc' - `ysize'' `=`xloc' - `xsize'' `=`yloc' + `ysize'' `=`xloc' - `xsize'', pstyle(p2line))
	local l2 (pci `=`yloc' - `ysize'' `=`xloc' + `xsize'' `=`yloc' + `ysize'' `=`xloc' + `xsize'', pstyle(p2line))
	local l3 (pci `=`yloc' + `ysize'' `=`xloc' - `xsize'' `=`yloc' + `ysize'' `=`xloc' + `xsize'', pstyle(p2line))
	local l4 (pci `=`yloc' - `ysize'' `=`xloc' - `xsize'' `=`yloc' - `ysize'' `=`xloc' + `xsize'', pstyle(p2line))
	return local box `l1' `l2' `l3' `l4'
	return local text text(`yloc' `xloc' "`text'", size(*`size') place(c))
end


box , text("Alive") yloc(0.5) xloc(0.15)
local box1 `r(box)'
local text1 `r(text)'

box, text("Cancer") yloc(0.8) xloc(0.8)
local box2 `r(box)'
local text2 `r(text)'


box, text("CVD") yloc(0.5) xloc(0.8)
local box3 `r(box)'
local text3 `r(text)'

box, text("Other") yloc(0.2) xloc(0.8)
local box4 `r(box)'
local text4 `r(text)'


twoway	(function y = x, connect(none) range(0 1)) ///
		`box1' `box2' `box3' `box4' ///
		(pcarrowi 0.5 0.30 0.8 0.65, pstyle(p1line) msize(*2)  lwidth(thick) mlwidth(thick)) ///
		(pcarrowi 0.5 0.30 0.5 0.65, pstyle(p1line) msize(*2)  lwidth(thick) mlwidth(thick)) ///
		(pcarrowi 0.5 0.30 0.2 0.65, pstyle(p1line) msize(*2)  lwidth(thick) mlwidth(thick)) ///
		,ylabel(none) ytitle("") ///
		xlabel(none) xtitle("") ///
		scheme(sj) ///
		yscale(range(0 1) off) ///
		xscale(range(-0.1 1) off) ///
		plotregion(margin(zero)) ///
		graphregion(margin(zero)) ///
		yscale(range(0 1)) xscale(range(0 1)) ///
		legend(off) ///	
		`text1' `text2' `text3' `text4' ///
		text(0.75 0.5 "{it:h}{subscript:1}({it:t})", size(*2)) ///
		text(0.57 0.5 "{it:h}{subscript:2}({it:t})", size(*2)) ///
		text(0.25 0.5 "{it:h}{subscript:3}({it:t})", size(*2)) ///
		text(0.5 -0.05 "(b)",size(*2)) ///
		name(g1, replace)


//graph export $EPS/ch9_f_competing_risks_schematic.pdf, replace


// one state model
box , text("Alive") yloc(0.5) xloc(0.15)
local box1 `r(box)'
local text1 `r(text)'


box, text("Dead") yloc(0.5) xloc(0.8)
local box2 `r(box)'
local text2 `r(text)'

di "`box1'"

twoway	(function y = x, connect(none) range(0 1)) ///
		`box1' `box2' ///
		(pcarrowi 0.5 0.30 0.5 0.65, pstyle(p1line) msize(*2) lwidth(thick) mlwidth(thick)) ///
		,ysize(2) ///
		ylabel(none) ytitle("") ///
		xlabel(none) xtitle("") ///
		scheme(sj) ///
		yscale(range(0.3 0.7) off) ///
		xscale(range(-0.1 1) off) ///
		plotregion(margin(zero)) ///
		graphregion(margin(zero)) ///
		xscale(range(0 1)) ///
		legend(off) ///	
		`text1' `text2'  ///
		text(0.56 0.5 "{it:h}({it:t})", size(*2)) ///
		text(0.5 -0.05 "(a)",size(*2)) ///
		name(g2, replace)

//graph export $EPS/ch9_f_simple_survival_schematic.pdf, replace

graph combine g2 g1, col(1) nocopies ///
    note("Graph code in ${dofile}", size(vsmall) span color(gs3%50))

graph set window fontface default

