clear all
set scheme fpsaus_c
global dofile rmst_schematic

clear
set obs 1000
range tt 0 5
gen St = exp(-0.2*t^1.3)

integ St tt

		
twoway (line St tt, lwidth(thick) pstyle(p2line)) ///
		(area St tt, color(%30)) ///
		, xtitle("Years from diagnosis") ///
		ylabel(0(0.2)1, angle(h) format(%3.1f) labsize(*1.3)) ///
		xlabel(0(2)10,labsize(*1.3)) ///
		ytitle("S(t)")  ///
		plotr(m(zero)) ///
    legend(off)    ///
		text(0.65 3 "Restricted mean survival is 2.76 years", place(e) size(*1)) ///
    note("Graph code in ${dofile}", size(vsmall) span color(gs3%50))     
