// Calibration plots
// Note 2024-09-07: stpm3calplot is not released in the SSC version 
//                  of stpm3 yet-
clear all
set scheme fpsaus_c
global dofile stpm3calplot.do


// not released yet

use rott3

stpm3 age @fn(exp(-0.12 * nodes),stub(enodes)) i.size i.hormon i.grade pr_1, ///
      scale(lnodds) df(4) neq(1) nolog

// stpm3km
stpm3km, failure ///
note("Graph code in ${dofile}", size(vsmall) span color(gs3%50))

// looks ugly with lots of groups
stpm3km, failure groups(15) legend(off)
      
stpm3km, failure groups(15) legend(off) xline(5, lwidth(thin) lpattern(dash))      
      
      
// focus on 1 point in time      
stpm3calplot, time(5) ///
note("Graph code in ${dofile}", size(vsmall) span color(gs3%50))

// add ci for observed
stpm3calplot, time(5) ciobs ///
note("Graph code in ${dofile}", size(vsmall) span color(gs3%50))

// add ci for expected
stpm3calplot, time(5) ciobs cipred ///
note("Graph code in ${dofile}", size(vsmall) span color(gs3%50))

// pseudo obs smoother
stpm3calplot, time(5) ciobs pseudo ///
note("Graph code in ${dofile}", size(vsmall) span color(gs3%50))

// Or use splines with CI
stpm3calplot, time(5) ciobs pseudo smoother(ns) smootherci ///
note("Graph code in ${dofile}", size(vsmall) span color(gs3%50))

// Add some statistics
stpm3calplot, time(5) ciobs pseudo smoother(glm) smootherci ///
              stats(brier calint calslope) ///
note("Graph code in ${dofile}", size(vsmall) span color(gs3%50))




